=== debian/changelog ===
krdp (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:51 +0100

krdp (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Aug 2024 00:24:11 +0100

krdp (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:18 +0200

krdp (6.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1074485)

 -- Patrick Franz <deltaone@debian.org>  Sun, 30 Jun 2024 17:09:43 +0200
