=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               freerdp2-dev (>= 2.10~),
               gettext,
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6statusnotifieritem-dev (>= 6.2.0~),
               libkpipewire-dev (>= 6.1.5~),
               libwinpr2-dev,
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-wayland-dev (>= 6.6.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.
