## krdp 6.2.90

=== debian/changelog ===
krdp (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:50:11 +0000

krdp (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:00:16 +0000

krdp (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:17 +0000

krdp (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depend on libkf6crash-dev.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:28 +0000
