## krdp 6.3.0

=== debian/changelog ===
krdp (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:39 +0100

krdp (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix Vcs-* URLs. (Closes: #1092560)
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:48 +0100

krdp (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:46 +0100
