=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               freerdp3-dev (>= 2.10~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkpipewire-dev (>= 6.2.90~),
               libwinpr3-dev (>= 2.10~),
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: systemsettings,
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.
