## krdp 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.2.5")
+set(PROJECT_VERSION "6.3.4")
 
 cmake_minimum_required(VERSION 3.16)
 
 set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.5.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
 project(KRdp VERSION "${PROJECT_VERSION}")
@@ -29,6 +29,7 @@
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 include(ECMEnableSanitizers)
+include(ECMDeprecationSettings)
 
 option(BUILD_EXAMPLES "Build example applications" ON)
 option(BUILD_PLASMA_SESSION "Build support for Plasma Screencasting extensions" ON)
@@ -57,6 +58,11 @@
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
+
+
+ecm_set_disabled_deprecation_versions(QT 6.7.0
+    KF 6.9.0
+)
 
 add_subdirectory(src)
 add_subdirectory(server)
