=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: krdp
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
@@ -17,7 +18,7 @@
                libkf6i18n-dev (>= 6.10.0~),
                libkf6kcmutils-dev (>= 6.10.0~),
                libkf6statusnotifieritem-dev (>= 6.10.0~),
-               libkpipewire-dev (>= 6.2.90~),
+               libkpipewire-dev (>= 6.3.4~),
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
                plasma-wayland-protocols,
@@ -28,8 +29,8 @@
                qtkeychain-qt6-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/krdp
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
 Rules-Requires-Root: no
 
 Package: krdp
