## krdp 6.3.5

=== debian/changelog ===
krdp (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Backport upstream commits:
    - Fix mouse wheel scroll triggering screen hot corners when using xfreerdp
    under Wayland.
    - Increase default video stream quality to make it readable.
    - Use new kpipewire asynchronous methods, tentative fix for issues when
    restoring sessions.
    - Support horizontal wheel event. (kde#496747)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 23:39:08 +0200

krdp (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:20 +0200
