=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: krdp
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
@@ -27,10 +26,10 @@
                qt6-declarative-dev (>= 6.7.0~),
                qt6-wayland-dev (>= 6.7.0~),
                qtkeychain-qt6-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/krdp
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git
 Rules-Requires-Root: no
 
 Package: krdp
