## krdp 6.4.4

=== debian/changelog ===
krdp (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:09 +0200

krdp (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 11:49:28 +0200

krdp (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Drop included upstream_mr_69_add-support-for-freerdp3.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:19 +0100

krdp (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:30 +0100
