## krdp 6.4.5

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(streamer)
