=== src/kcm/CMakeLists.txt ===
--- 
+++ 
@@ -24,10 +24,23 @@
     GENERATE_MOC
 )
 
+ecm_qt_declare_logging_category(kcm_krdpserver
+    HEADER krdp_logging.h
+    IDENTIFIER KRDP
+    CATEGORY_NAME org.kde.krdp
+    DESCRIPTION "KRdp"
+    EXPORT kcm_krdpserver
+    DEFAULT_SEVERITY Debug
+)
+
 target_sources(kcm_krdpserver PRIVATE
    kcmkrdpserver.cpp
    kcmkrdpserver.h
 )
+
+qt_add_dbus_interface(kcm_krdpserver_dbus_srcs org.freedesktop.impl.portal.PermissionStore.xml org.freedesktop.impl.portal.PermissionStore)
+
+target_sources(kcm_krdpserver PRIVATE ${kcm_krdpserver_dbus_srcs})
 
 ecm_qt_declare_logging_category(kcm_krdpserver
     HEADER krdpkcm_logging.h
