=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.14.0~),
                libkf6kcmutils-dev (>= 6.14.0~),
                libkf6statusnotifieritem-dev (>= 6.14.0~),
-               libkpipewire-dev (>= 6.4.4~),
+               libkpipewire-dev (>= 6.4.5~),
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
                plasma-wayland-protocols,
