## krdp 6.4.5+p24.04+vstable+git20251019.0244

=== debian/changelog ===
krdp (6.4.5+p24.04+vstable+git20251019.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:44:29 +0000

krdp (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:48:56 +0000

krdp (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:30:58 +0000
