## krdp 6.4.5+p24.04+vstable+git20251020.0053

=== debian/changelog ===
krdp (6.4.5+p24.04+vstable+git20251020.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:53:53 +0000
