## krdp 6.4.5+p24.04+vstable+git20251021.0319

=== debian/changelog ===
krdp (6.4.5+p24.04+vstable+git20251021.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:19:11 +0000
