## krdp 6.4.5+p24.04+vunstable+git20250930.1622

=== debian/changelog ===
krdp (6.4.5+p24.04+vunstable+git20250930.1622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 16:22:39 +0000
