## krdp 6.4.5+p24.04+vunstable+git20251003.1313

=== debian/changelog ===
krdp (6.4.5+p24.04+vunstable+git20251003.1313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 13:13:01 +0000
