## krdp 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.5.0")
 
 cmake_minimum_required(VERSION 3.16)
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
 project(KRdp VERSION "${PROJECT_VERSION}")
@@ -30,17 +30,22 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMEnableSanitizers)
 include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 option(BUILD_EXAMPLES "Build example applications" ON)
 option(BUILD_PLASMA_SESSION "Build support for Plasma Screencasting extensions" ON)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Gui Network DBus WaylandClient Qml)
 
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem Crash)
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
-find_package(FreeRDP 2.10 REQUIRED)
-find_package(WinPR 2.10 REQUIRED)
-find_package(FreeRDP-Server 2.10 REQUIRED)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem Crash GuiAddons)
+
+find_package(FreeRDP 3.1 REQUIRED)
+find_package(WinPR 3.1 REQUIRED)
+find_package(FreeRDP-Server 3.1 REQUIRED)
 find_package(KPipeWire 5.27.80 REQUIRED)
 find_package(XKB REQUIRED)
 
@@ -50,9 +55,16 @@
                                    URL "https://github.com/frankosterfeld/qtkeychain"
 				   TYPE REQUIRED)
 
-if (BUILD_PLASMA_SESSION)
+if(BUILD_PLASMA_SESSION)
     find_package(PlasmaWaylandProtocols REQUIRED)
 endif()
+
+find_package(PAM REQUIRED)
+set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"
+                       URL "https://www.kernel.org/pub/linux/libs/pam/"
+                       TYPE REQUIRED
+                       PURPOSE "Required for authentication"
+                      )
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
@@ -61,7 +73,7 @@
 
 
 ecm_set_disabled_deprecation_versions(QT 6.7.0
-    KF 6.9.0
+    KF 6.12.0
 )
 
 add_subdirectory(src)
