## krdp 6.5.0+p24.04+vstable+git20251021.0911

=== debian/changelog ===
krdp (6.5.0+p24.04+vstable+git20251021.0911-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:11:19 +0000

krdp (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:44:42 +0000
