=== debian/control ===
Source: krdp
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               freerdp3-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kstatusnotifieritem-dev,
               libkpipewire-dev,
               libpam0g-dev,
               libwinpr2-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-wayland-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/krdp
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/krdp.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/krdp
Maintainer: Neon CI <neon@kde.org>

Package: libkrdp-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         libkrdp6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's RDP library
 Library and examples for creating an RDP server.
 .
 This package contains the library development files.

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkrdp6 (<< 6.0.90)
Breaks: libkrdp6 (<< 6.0.90)
Description: KDE's RDP library
 Library and examples for creating an RDP server.
 .
 This package contains the krdp main library.

Package: libkrdp6
Architecture: all
Priority: optional
Section: oldlibs
Depends: krdp, ${misc:Depends}, ${shlibs:Depends}
Description: dummy transitional package
 This package can be safely removed.
