=== debian/changelog ===
krdp (6.5.0+p24.04+vunstable+git20251021.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:18:29 +0000
